package com.qmth.themis.business.bean.admin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("开放接口-待评卷考试记录")
public class OpenRecordNeedMarkBean {

	@ApiModelProperty(name = "考试记录id")
	private Long id;

	@ApiModelProperty(value = "试卷ID")
	private Long paperId;

	@ApiModelProperty(value = "客观得分")
	private Double objectiveScore;

	@ApiModelProperty(value = "交卷时间")
	private Long finishTime;

	@ApiModelProperty(value = "作答结果")
	private List<OpenRecordAnswerBean> answers;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getPaperId() {
		return paperId;
	}

	public void setPaperId(Long paperId) {
		this.paperId = paperId;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public List<OpenRecordAnswerBean> getAnswers() {
		return answers;
	}

	public void setAnswers(List<OpenRecordAnswerBean> answers) {
		this.answers = answers;
	}

	public Long getFinishTime() {
		return finishTime;
	}

	public void setFinishTime(Long finishTime) {
		this.finishTime = finishTime;
	}
}
